BSFFunctions (Bean Scripting Framework API)
Keywords: org.apache.bsf.util.BSFFunctions class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bsf.util
Class BSFFunctions

    java.lang.Object
      org.apache.bsf.util.BSFFunctions

public class BSFFunctions
extends java.lang.Object

This is a utility that engine implementors may use as the Java object they expose in the scripting language as "bsf". This has essentially a subset of the methods in BSFManager plus some stuff from the utils. Currently used by Javascript (Rhino) & BML.

Author:
  Sanjiva Weerawarana

Constructor Summary
`BSFFunctions(BSFManager mgr, BSFEngine engine)`

Method Summary
`void` | `addEventListener(java.lang.Object src, java.lang.String eventSetName, java.lang.String filter, java.lang.Object script)`
`java.lang.Object` | `lookupBean(java.lang.String name)`
`void` | `registerBean(java.lang.String name, java.lang.Object bean)`
`void` | `unregisterBean(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BSFFunctions

    public BSFFunctions(BSFManager mgr,
                        BSFEngine engine)

Method Detail

### addEventListener

    public void addEventListener(java.lang.Object src,
                                 java.lang.String eventSetName,
                                 java.lang.String filter,
                                 java.lang.Object script)
                          throws BSFException

  Throws:
    `BSFException`

### lookupBean

    public java.lang.Object lookupBean(java.lang.String name)

### registerBean

    public void registerBean(java.lang.String name,
                             java.lang.Object bean)

### unregisterBean

    public void unregisterBean(java.lang.String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD